package ru.myitschool.work.domain.auth

import ru.myitschool.work.domain.auth.repo.AuthorizationRepository
import javax.inject.Inject

class IsLoginUseCase @Inject constructor(
    private val repo: AuthorizationRepository,
) {
    suspend operator fun invoke(): Boolean {
        return repo.getLogin().isSuccess
    }
}